package com.ruoyi.system.domain.bonus;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 政协履职加分对象 zx_bonus
 * 
 * @author boman
 * @date 2024-03-11
 */
public class ZxBonus extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 履职加分ID */
    private Long bonusId;

    /** 委员账号id */
    @Excel(name = "委员账号id")
    private Long userId;

    /** 考核界次 */
    @Excel(name = "考核界次")
    private String boundary;

    /** 考核类型 */
    @Excel(name = "考核类型")
    private String checkType;
    /**
     * 是否审核 1：待审核 2:已审核 3：已驳回
     */
    private String type;

    /** 加分类型 */
    @Excel(name = "加分类型")
    private String bonusType;

    /** 加分事由 */
    @Excel(name = "加分事由")
    private String bonusReason;

    /** 加分时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "加分时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date bonusTime;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setBonusId(Long bonusId)
    {
        this.bonusId = bonusId;
    }

    public Long getBonusId() 
    {
        return bonusId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setBoundary(String boundary) 
    {
        this.boundary = boundary;
    }

    public String getBoundary() 
    {
        return boundary;
    }
    public void setCheckType(String checkType) 
    {
        this.checkType = checkType;
    }

    public String getCheckType() 
    {
        return checkType;
    }
    public void setBonusType(String bonusType) 
    {
        this.bonusType = bonusType;
    }

    public String getBonusType() 
    {
        return bonusType;
    }
    public void setBonusReason(String bonusReason) 
    {
        this.bonusReason = bonusReason;
    }

    public String getBonusReason() 
    {
        return bonusReason;
    }
    public void setBonusTime(Date bonusTime) 
    {
        this.bonusTime = bonusTime;
    }

    public Date getBonusTime() 
    {
        return bonusTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("bonusId", getBonusId())
            .append("userId", getUserId())
            .append("boundary", getBoundary())
            .append("checkType", getCheckType())
            .append("bonusType", getBonusType())
            .append("bonusReason", getBonusReason())
            .append("bonusTime", getBonusTime())
            .append("score", getScore())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
